Subject: [rohc] Record-Marking Clarification

From: [email-masked]
Date: Wed, 21 Apr 2004 17:52:11 +0530

Hi all,
      I request you to please confirm if the following understanding
for "record-marking"and "record-unmarking" is correct or not :-

Record-Marking as described in RFC 3320,section 4.2.2  says
Occurs in data stream:     Action:
----------------------------------------------------
   0xFF 00                 one 0xFF byte in the data stream
   0xFF 01                 same, but the next byte is quoted (could
                                   be another 0xFF)
      :                           :
   0xFF 7F                 same, but the next 127 bytes are quoted
   0xFF 80 to 0xFF FE      (reserved for future standardization)
   0xFF FF                 end of SigComp message

Suppose input is  0xFF 00 11 FF 01 22 FF 04 01 FF 03 04 FF FF
Byte-#         Value
=====================
01                FF
02                FF
03                11
04                FF
05                FF
06                FF
07                00
08                FF
09                FF
10                FF

As per "Record-Marking" done at Compressor-end (refer to above input) :-
1> When Compressor is at byte-1,it sees FF FF but it is not end
of message so it can replace it as :
            a> FF 00 FF 00
            b> FF 01 FF
2> When Compressor is at byte 4, ,it sees FF FF but it is not end
   of message so it can replace it as :
            a> FF 00 FF 00 FF 00 FF 00 ( from byte-4 to byte-8)
            b> FF 04 FF FF FF 00

As per "Record-Unmarking" done at Decompressor-end,
1>When decompressor sees "FF 00" , the decompressor skips
  "0 byte" i.e goes to 3 byte [copies literally into output buffer]
2>When decompressor sees "FF 01" it skips "1 byte" i.e
  goes  "1 byte" ahead [copies 1 byte literally into output buffer]
3>When decompressor sees "FF 04" it skips "4 bytes" i.e
  it goes "4 bytes" ahead [copies 4 bytes literally into output buf]
4> When decompressor sees "FF FF" , it means
   end of the sigcomp message.

Conclusion:
-----------------
The compressor can effectively "record-mark" the output sigcomp
buffer using this scheme (look ahead the bytes and form the message)
so that the work of decompressor is reduced.

Please confirm if the above understanding is correct...

thanks and regards
Jyoti

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Simran Suri <[email-masked]>
Date: Thu, 22 Apr 2004 22:47:59 -0500

Hi Jyoti,
Please refer to the following post by Carsten regarding this:
http://www1.ietf.org/mail-archive/working-groups/rohc/current/msg02031.html
Rgds,
Simran